#!/bin/sh

. _lib.sh

C=100

t() {
    PID_S=`vca_canping -s $C -b -R FF:$RTPRIO -d $CAN0`
    vca_canping -m $C -R FF:$RTPRIO -v -g $DRIVER -t 1 -d $CAN0 -w 500 -c 10
    kill $PID_S
}

TESTS="lincan_virtual socketcan_virtual"



PLOT_CMD="
set title 'RTT of highest prio message when opened $C times (`uname -r`)'
set logscale y
set grid
set xlabel 'Time [{/Symbol m}s]'
set ylabel 'Latency profile [messages]'
plot [0:] 'socketcan-1000.dat' with lp title 'Socketcan',\
          'lincan-1000.dat' with lp title 'Lincan'
"

