#!/bin/sh

. _lib.sh

t() {
    PID_S=`vca_canping -s 1 -b -R FF:$RTPRIO -d $CAN1`
    vca_canping -m 1 -R FF:$RTPRIO -v -g $DRIVER -t 1 -d $CAN0 -w 2 -c 10000
    kill $PID_S
}



PLOT_CMD='
set title "Round-trip time (`uname -r`)"
set logscale y
set grid
set xlabel "Time [{/Symbol m}s]"
set ylabel "Latency profile [messages]"
plot [0:] "socketcan-1000.dat" with lp title "Socketcan",\
          "lincan-1000.dat" with lp title "Lincan"
'

